> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mezmo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server.

# List Usage by Tag

GET https://api.mezmo.com/v2/usage/tags

Lists aggregated usage information for all tags during a time period.

Reference: https://mezmo.ferndocs.com/api-reference/log-analysis/usage-v-2/list-usage-tag-v-2

## Authentication

- `Authorization` header (required) — This key is used for all apis with the exception of ingest. You can obtain it following [these instructions](https://docs.mezmo.com/docs/ingestion-key) and placing the key in the header of your call in the format of `Authorization: Token {accesstoken}` For example: ``` curl -H 'Authorization: Token <ACCESS TOKEN>' ```
- `servicekey` header (required) — (Deprecated) This key is used for v1 and v2 apis with the exception of ingest. Service keys can be used by placing your service key in the `Authorization` header of your api call. *NOTE* Usage of the service key auth mechanism has been deprecated in favor of IAM Access Tokens. Service keys can no longer be created, but can still be used for v1 and v2 apis while the transition takes place

## Request

### Query parameters

- `from` (string, required) — Start time. A date-time string as defined by the ISO 8601 date format. This date-time will be used to calculate the starting day; the exact time will not be used.
- `to` (string, required) — End time. A date-time string as defined by the ISO 8601 date format. This date-time will be used to calculate the ending day; the exact time will not be used.
- `limit` (integer, optional) — Maximum amount of tags to retrieve.
- `retention` (string, optional) — Limit report to tags that contribute to a variable retention pool. Value must be a string indicating the retention pool duration, e.g. `7d` for a seven day retention pool.

## Response

### 200

OK

- `from` (string, optional) — The calculated starting time (exclusive) used internally.
- `to` (string, optional) — The calculated ending time (exclusive) used internally.
- `results` (list of V2UsageTagsGetResponsesContentApplicationJsonSchemaResultsItems, optional)

## Errors

### 400 Bad Request Error

Bad request

- `code` (string, optional)
- `error` (string, optional) — Message indicating why the request is bad.
- `status` (string, optional)

## Types

### V2UsageTagsGetResponsesContentApplicationJsonSchemaResultsItems

- `name` (string, optional) — The name of the tag.
- `total_bytes` (integer, optional) — The number of bytes of disk the tag consumes over the time range.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "from": "2024-05-01T00:00:00Z",
  "to": "2024-05-07T00:00:00Z",
  "results": [
    {
      "name": "payment-service.INFO",
      "total_bytes": 1250000
    },
    {
      "name": "auth-gateway.ERROR",
      "total_bytes": 450000
    },
    {
      "name": "order-processor.WARN",
      "total_bytes": 780000
    },
    {
      "name": "metrics-collector.request_latency_ms",
      "total_bytes": 320000
    },
    {
      "name": "logs.acme-corp.io.ERROR",
      "total_bytes": 210000
    },
    {
      "name": "telemetry.acme-corp.io.error_rate_5xx",
      "total_bytes": 150000
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.mezmo.com/v2/usage/tags"

querystring = {"from":"2024-05-01T00:00:00Z","to":"2024-05-07T00:00:00Z","retention":"7d","limit":"10"}

payload = {}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.mezmo.com/v2/usage/tags?from=2024-05-01T00%3A00%3A00Z&to=2024-05-07T00%3A00%3A00Z&retention=7d&limit=10';
const options = {
  method: 'GET',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mezmo.com/v2/usage/tags?from=2024-05-01T00%3A00%3A00Z&to=2024-05-07T00%3A00%3A00Z&retention=7d&limit=10"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.mezmo.com/v2/usage/tags?from=2024-05-01T00%3A00%3A00Z&to=2024-05-07T00%3A00%3A00Z&retention=7d&limit=10")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.mezmo.com/v2/usage/tags?from=2024-05-01T00%3A00%3A00Z&to=2024-05-07T00%3A00%3A00Z&retention=7d&limit=10")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.mezmo.com/v2/usage/tags?from=2024-05-01T00%3A00%3A00Z&to=2024-05-07T00%3A00%3A00Z&retention=7d&limit=10', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.mezmo.com/v2/usage/tags?from=2024-05-01T00%3A00%3A00Z&to=2024-05-07T00%3A00%3A00Z&retention=7d&limit=10");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v2/usage/tags?from=2024-05-01T00%3A00%3A00Z&to=2024-05-07T00%3A00%3A00Z&retention=7d&limit=10")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```